<?php
// $Id: 
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">

<head>
  <?php print $head; ?>
  <title><?php print $head_title; ?></title>
  <?php print $styles; ?>
  <style type="text/css">
    #header { background: <?php print $headcolor; ?> }
    #navigation { background: <?php print $navcolor; ?> }
    #header-inner, #navigation-inner { background: url('<?php print $grunge; ?>') repeat-y; }
    h1, h2, h3, h4, h5, h6 { color: <?php print $headingscolor; ?>; }
    a { color: <?php print $linkcolor; ?>; }
  </style>
  <?php print $scripts; ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyled Content in IE */ ?> </script>
</head>
<body class="<?php print $body_classes; ?>">
  <div id="page">
    <div id="header"><div id="header-inner"><div id="header-tear">
    
    <div id="secondary" class="clear-block">
      <?php if (!empty($secondary_links)): ?>
        
          <?php print theme('links', $secondary_links, array('class' => 'links secondary-links')); ?>
        
      <?php endif; ?>
    </div>
    
      <div id="logo-title">

        <?php if (!empty($logo)): ?>
          <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home" id="logo">
            <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
          </a>
        <?php endif; ?>
        
        <?php if (!empty($site_name) || !empty($site_slogan)) : ?>
          <div id="name-slogan">
            <?php if (!empty($site_name)): ?>
              <div id="site-name">
                <a href="<?php print $front_page ?>" title="<?php print t('Home'); ?>" rel="home"><?php print $site_name; ?></a>
              </div>
            <?php endif; ?>

            <?php if (!empty($site_slogan)): ?>
              <div id="site-slogan">
                <?php print $site_slogan; ?>
              </div>
            <?php endif; ?>
          </div> <!-- /name-and-slogan -->
        <?php endif; ?>  
      </div> <!-- /logo-title -->
        

      <?php if (!empty($search_box)): ?>
        <div id="search-box"><?php print $search_box; ?></div>
      <?php endif; ?>

    </div></div></div> <!-- /header -->

    <div id="container" class="clear-block">

      <div id="navigation" class="menu <?php if (!empty($primary_links)) { print "withprimary"; } if (!empty($secondary_links)) { print " withsecondary"; } ?>"><div id="navigation-inner"><div id="navigation-tear">
        <?php if (!empty($primary_links)): ?>
          <div id="primary" class="clear-block">
            <?php print theme('links', $primary_links, array('class' => 'links primary-links')); ?>
          </div>
        <?php endif; ?>

      </div></div></div> <!-- /navigation -->

      <div id="main">
        <div id="<?php print (!empty($right) ? 'main-content' : 'main-content-full'); print $main_content; ?>" class="column">
        <?php if (!empty($content_top)): ?>
          <div id="content-top" class="content-block"><div id="content-top-inner">
            <?php print $content_top; ?>
          </div></div> <!-- /content top -->
        <?php endif; ?>
        <?php if (!empty($breadcrumb)): ?><div id="breadcrumb"><?php print $breadcrumb; ?></div><?php endif; ?>
        <?php if (!empty($mission)): ?><div id="mission"><?php print $mission; ?></div><?php endif; ?>

        <div id="content">
          <?php if (!empty($tabs)): ?><div class="tabs"><?php print $tabs; ?></div><?php endif; ?>
          <?php if (!empty($title)): ?><h1 class="title" id="page-title"><?php print $title; ?></h1><?php endif; ?>
          <?php if (!empty($messages)): print $messages; endif; ?>
          <?php if (!empty($help)): print $help; endif; ?>
          <div id="content-content" class="clear-block">
            <?php print $content; ?>
          </div> <!-- /content-content -->
          <?php if (!empty($content_bottom)): ?>
            <div id="content-bottom" class="content-block"><div id="content-bottom-inner">
              <?php print $content_bottom; ?>
            </div></div> <!-- /content bottom -->
          <?php endif; ?>
          <?php print $feed_icons; ?>
        </div> <!-- /content -->

      </div> <!--main -->

      <?php if (!empty($right)): ?>
        <div id="sidebar" class="column"><div id="sidebar-inner">
          <?php print $right; ?>
        </div></div> <!-- /sidebar -->
      <?php endif; ?>

    </div></div> <!-- /main /container -->
    
  </div> <!-- /page -->
  
  <div id="footer"><div id="footer-inner">
    <div id="footer-message-left">
      <?php print $footer_message; ?>
    </div>
    <div id="footer-message-right">
      <a href="http://hotshotthemes.com">Hotshot Drupal Theme</a>
    </div>
    <?php if (!empty($footer)): ?>
      <div id="footer-region">
        <?php print $footer; ?>
      </div>
    <?php endif; ?>
  </div></div> <!-- /footer -->

    <?php print $closure; ?>

</body>
</html>